public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/uthash/
Date: Mon,  1 Mar 2021 23:37:26 +0000 (UTC)	[thread overview]
Message-ID: <1614641759.f5779182f8a4a46ee073f783c0eea3e7145e2551.sam@gentoo> (raw)

commit:     f5779182f8a4a46ee073f783c0eea3e7145e2551
Author:     Jonathan Davies <jpds <AT> protonmail <DOT> com>
AuthorDate: Mon Mar  1 23:01:05 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar  1 23:35:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5779182

dev-libs/uthash: Version updated to 2.3.0.

Signed-off-by: Jonathan Davies <jpds <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/19727
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/uthash/Manifest            |  1 +
 dev-libs/uthash/uthash-2.3.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-libs/uthash/Manifest b/dev-libs/uthash/Manifest
index 497c75a7ce4..321f9897be0 100644
--- a/dev-libs/uthash/Manifest
+++ b/dev-libs/uthash/Manifest
@@ -1 +1,2 @@
 DIST uthash-2.2.0.tar.gz 191356 BLAKE2B ca07634c30f49fa21af5fed9ed254351d038ca9f831b2c3f3fb545ee451833aaec9e1666572635e2fd31d6b791fb88800e7d870aba2cda0cfbeddcba20d969a9 SHA512 441ee907adc39c9b7e9c1f478966b7e8ddebb94cb6d5db9d2db409aee9a5e237033ee8cef3fed1c719fea01c7cfb5991554ac89f5a1e59241bd5c6eb4854cebe
+DIST uthash-2.3.0.tar.gz 191291 BLAKE2B 473e263df9f3555c9ef41c2b39cf2ed33a4624ce7325bbe52db805ac741b8383e64f84a9e249f96faf40e0b94fa4a7fc6c0e83bebe8b3677a90cdca82a4e3f51 SHA512 3b01f1074790fb242900411cb16eb82c1a9afcf58e3196a0f4611d9d7ef94690ad38c0a500e7783d3efa20328aa8d6ab14f246be63b3b3d385502ba2b6b2a294

diff --git a/dev-libs/uthash/uthash-2.3.0.ebuild b/dev-libs/uthash/uthash-2.3.0.ebuild
new file mode 100644
index 00000000000..5e4ed934d4c
--- /dev/null
+++ b/dev-libs/uthash/uthash-2.3.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="An easy-to-use hash implementation for C programmers"
+HOMEPAGE="https://troydhanson.github.io/uthash/index.html"
+SRC_URI="https://github.com/troydhanson/uthash/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-lang/perl )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.1.0-cflags.patch
+)
+
+src_test() {
+	cd tests || die
+	emake CC="$(tc-getCC)"
+}
+
+src_install() {
+	doheader src/*.h
+	dodoc doc/*.txt
+}


             reply	other threads:[~2021-03-01 23:37 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-01 23:37 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 18:39 [gentoo-commits] repo/gentoo:master commit in: dev-libs/uthash/ Arthur Zamarin
2024-10-06 10:55 Sam James
2024-10-06 10:49 Sam James
2024-10-06 10:49 Sam James
2024-08-30 15:31 Jakov Smolić
2022-12-02 18:44 WANG Xuerui
2022-08-03  3:00 Sam James
2022-05-20  9:17 Agostino Sarubbo
2022-05-19  9:27 Agostino Sarubbo
2022-05-17 12:38 Agostino Sarubbo
2022-01-11  2:23 Georgy Yakovlev
2021-10-10 20:44 Marek Szuba
2021-05-07 16:24 David Seifert
2021-05-07 16:24 David Seifert
2021-05-07 16:24 David Seifert
2021-04-01 22:30 Sam James
2021-04-01 12:11 Thomas Deutschmann
2021-02-02 23:51 Sam James
2021-02-02 23:46 Sam James
2021-01-28 19:03 Sam James
2020-12-29 21:15 Sam James
2020-12-20 16:30 Thomas Deutschmann
2020-12-19 19:36 Sam James
2019-02-23  9:43 Pacho Ramos
2019-02-22 11:54 Mikle Kolyada
2019-02-15  1:37 Thomas Deutschmann
2019-01-28 19:38 Sergei Trofimovich
2018-03-25  6:44 Tim Harder
2016-11-03 16:19 Göktürk Yüksek

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1614641759.f5779182f8a4a46ee073f783c0eea3e7145e2551.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox